# Class NoninvertibleTransformException

Object
Throwable
Exception
TransformException
NoninvertibleTransformException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NoninvertibleMatrixException`

public class NoninvertibleTransformException extends TransformException
Thrown when `MathTransform​.inverse()` is invoked but the transform cannot be inverted.

Since:
  1.0
See Also:
  - `CoordinateOperationFactory`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoninvertibleTransformException()`
  Construct an exception with no detail message.
  `NoninvertibleTransformException(String message)`
  Construct an exception with the specified detail message.
  `NoninvertibleTransformException(String message, Throwable cause)`
  Construct an exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class TransformException

  `getLastCompletedTransform, setLastCompletedTransform`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoninvertibleTransformException

    public NoninvertibleTransformException()
    Construct an exception with no detail message.

  - ### NoninvertibleTransformException

    public NoninvertibleTransformException(String message)
    Construct an exception with the specified detail message.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### NoninvertibleTransformException

    public NoninvertibleTransformException(String message, Throwable cause)
    Construct an exception with the specified detail message and cause. The cause is typically another
    invalid reference

        java​.lang​.geom​.NoninvertibleTransformException

    emitted by Java2D.
    Parameters:
      `message` - The detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable​.getCause()` method.